package models

// 状态列表
const (
	// 删除
	STATUS_DEL = iota - 1

	// 新录入
	STATUS_READY

	// 正常
	STATUS_NORMAL
)

// 映射数据库的布尔型
const (
	BOOL_FALSE = 0
	BOOL_TRUE  = 1
)

// 映射表账户类型
const (
	ACCMAP_WECHAT = "wechat"
	ACCMAP_MINI   = "mini"
)

const (
	IMAGETYPE_COVER  = "cover"
	IMAGETYPE_DETAIL = "detail"
)

// 映射表用户类型
const (
	USERMAP_USER     = "user"
	USERMAP_CUSTOMER = "customer"
)

// 人员禁止内容
const (
	// 禁止下单
	FORBID_ORDER = "order"

	// 禁止发卡, 发券
	FORBID_COUPON = "coupon"
)

// 消费类型
const (
	CONSUME_INNER   = "sys user"
	CONSUME_COUPON  = "coupon"
	CONSUME_POINTS  = "points"
	CONSUME_COINCHG = "cheng-coin"
)

// 消费方式
const (
	ACCOUNT_INCOME = "+"
	ACCOUNT_SPENT  = "-"
)

// 账户消费来源
const (
	// 充值
	ACCSOURCE_RECHARGE = "recharge"
	// 商品订单
	ACCSOURCE_GOODS_ORDERS = "goods-orders"
	// 课程订单
	ACCSOURCE_COURSE_ORDERS = "course-orders"
	// 注册
	ACCSOURCE_REGISTER = "register"
	// 完善资料
	ACCSOURCE_COMPLETE_PROFILE = "complete_profile"
	// 推荐
	ACCSOURCE_RECOMMEND = "recommend"
)

// 微信配置表
const (
	WECHAT_WX   = "wechat"
	WECHAT_MINI = "mini"
)

// 人员类型
const (
	// 销售
	USERTYPE_SALES = "sales"
	// 主管
	USERTYPE_MANAGER = "manager"
)

// 课程获取方式
const (
	COURSE_GETBY_CARD    = "card"
	COURSE_GETBY_COUPON  = "coupon"
	COURSE_GETBY_COINCHG = "cheng-coin"
)

// 课程订单优惠券类型
const (
	COURSE_COUPON_CARD   = "card"
	COURSE_COUPON_COUPON = "coupon"
)

// 核销类型
const (
	VERIFY_USEABLE = "useable"
	VERIFY_USED    = "used"
	VERIFY_LATE    = "late"
)
